ACL_FROM_MODE(3)

NAME
acl_from_mode - create an ACL from file permission bits

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <acl/libacl.h>
acl_t
acl_from_mode(mode_t mode);

DESCRIPTION
The acl_from_mode() function creates a minimal ACL that contains the three entries with tag types ACL_USER_OBJ, ACL_GROUP_OBJ, and ACL_OTHER, with permissions corresponding to the owner, group, and other permission bits of its argument mode.

RETURN VALUE
On success, this function returns a pointer to the working storage. On error, a value of (acl_t)NULL is returned, and errno is set appropriately.

ERRORS
If any of the following conditions occur, the acl_from_mode() function returns a value of (acl_t)NULL and sets errno to the corresponding value:

[ENOMEM]
    The ACL working storage requires more memory than is allowed by the hardware or system-imposed memory management constraints.

STANDARDS
This is a non-portable, Linux specific extension to the ACL manipulation functions defined in IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned).

SEE ALSO
acl_equiv_mode(3), acl_get_file(3), acl(5)

AUTHOR
Written by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.